D4Science Infrastructure - Upgrade #12116
Upgrade # 12019 (Completed): D4Science Infrastructure Upgrade to gCube 4.12.0

D4Science Root VO upgrade to gCube 4.12
Jul 05, 2018 03:02 PM - Roberto Cirillo

Status: Completed Start date: Jul 13, 2018
Priority: Normal Due date: Jul 13, 2018
Assignee: Roberto Cirillo % Done: 100%
Target version: D4Science Infrastructure upgrade to
gCube 4.12
Infrastructure: Production
Description
Related issues:
Related to D4Science Infrastructure - Task #12117: MongoDB: upgrade productio... Closed Jul 13,2018 Jul 13,2018
Related to D4Science Infrastructure - Task #12118: MongoDB: upgrade productio... Closed Jul 13,2018 Jul 13,2018
History
#1 - Jul 05, 2018 03:25 PM - Roberto Cirillo
- Due date set to Jul 13, 2018
- Start date changed from Jul 05, 2018 to Jul 13, 2018
HostingNode
WHN to upgrade
o POSTPONED catalogue-ws.d4science.org
e (CNR) DONE all the instances under dataminer.garr.d4science.org
¢ (CNR) DONE all the instances under dataminer.prototypes.d4science.org
¢ (CNR) DONE dataminer-proto-ghost.d4science.org
e (CNR) DONE quota-plugin.d4science.org
¢ (CNR) DONE socialnetworking1.d4science.org
¢ (CNR) DONE sdi-d4s.d4science.org
¢ (CNR) DONE storagehub1.d4science.org
¢ (CNR) DONE thredds.d4science.org
¢ (CNR) DONE workspace-repository-prod1.d4science.org
Configuration
e (CNR) DONE upgrade MongoDB cluster to version 3.4
¢ (CNR) DONE upgrade StorageManagerTrigger
¢ (CNR) DONE for each IS-Collector and 1S-Registry services: change log settings (not done in smartarea)
remove Edison scope from the following nodes:
e (CNR) DONE accounting-service1.d4science.org
¢ (CNR) DONE accounting-service2.d4science.org
* (CNR) DONE accounting-service3.d4science.org
* (CNR) DONE resource-registry1.d4science.org
¢ (CNR) DONE resource-registry2.d4science.org
¢ (CNR) DONE registry.d4science.org
e (CNR) DONE sdi.d4science.org
¢ (CNR) DONE thredds.d4science.org
Smartgears services
e POSTPONED catalogue-ws.d4science.org upgrade catalogue-ws service
¢ (CNR) DONE dataminer.garr.d4science.org: upgrade all dataminer service instances
¢ (CNR) DONE dataminer.prototypes.d4science.org: upgrade all dataminer servcice instances
e (CNR) DONE dataminer-proto-ghost.d4science.org: upgrade dataminer service
¢ (CNR) DONE quota-plugin.d4science.org: upgrade accounting-storage-insert plugin
¢ (CNR) DONE socialnetworking1.d4science.org: upgrade socialnetworking service
e (CNR) DONE sdi-d4s.d4science.org: upgrade sdi service
Apr 30, 2025 12




* (CNR) DONE storagehub1.d4science.org upgrade storagehub webapp

¢ (CNR) DONE thredds.d4science.org upgrade sis-geotk plugin for sdi-library dependency

¢ (CNR) DONE workspace-repository-prod1.d4science.org upgrade HL webapp
WebApps

¢ (CNR) DONE data1-d4s.d4science.org: upgrade uri-resolver

¢ (CNR) DONE data2-d4s.d4science.org: upgrade uri-resolver

#2 - Jul 05, 2018 03:38 PM - Roberto Cirillo
- Related to Task #12117: MongoDB: upgrade production cluster to version 3.2 added

#3 - Jul 05, 2018 03:38 PM - Roberto Cirillo
- Related to Task #12118: MongoDB: upgrade production cluster to version 3.4 added

#4 - Jul 16, 2018 02:53 PM - Roberto Cirillo

- Status changed from New to Planned

#5 - Jul 17,2018 01:10 PM - Roberto Cirillo

- Status changed from Planned to In Progress

#6 - Jul 17, 2018 06:39 PM - Roberto Cirillo
- Status changed from In Progress to Completed

- % Done changed from 0 to 100

#7 - Jul 17,2018 07:06 PM - Roberto Cirillo
- % Done changed from 100 to 90

#8 - Jul 17,2018 07:10 PM - Roberto Cirillo
- % Done changed from 90 to 100
